# Not needed here, debug info is empty
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

%define git 20100907
%define api 1.0

Summary:	GObject Introspection Repository
Name:		gir-repository
Version:	0.6.6
Release:	0.%{git}.9
License:	LGPLv2+
Group:		Development/C
Url:		http://www.gnome.org
%if %{git}
Source0:	%{name}-%{git}.tar.xz
%else
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
%endif
Patch0:		gir-repository-disable-gtk.patch
Patch1:		gir-repository-fix-goo-build.patch
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(goocanvas)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(avahi-gobject)
%if %{git}
BuildRequires:	gnome-common
%endif

Requires:	%{mklibname girepository 1.0 1}

%description
This is a repository of GIR interface description files.

%prep
%if %{git}
%setup -q -n %{name}
%else
%setup -q
%endif

%apply_patches
%if %{git}
./autogen.sh -V
%else
autoreconf -fi
%endif

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -v %{buildroot}%{_datadir}/gir-%{api}/Atk-1.0.gir
rm -f %{buildroot}%{_datadir}/gir-%{api}/DBus*-1.0.gir
rm -v %{buildroot}%{_datadir}/gir-%{api}/Pango-1.0.gir
rm -v %{buildroot}%{_datadir}/gir-%{api}/PangoCairo-1.0.gir
rm -v %{buildroot}%{_datadir}/gir-%{api}/PangoFT2-1.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/GConf-2.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/GMenu-2.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/Gst*0.10.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/GSSDP-1.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/GUPnP-1.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/Soup-2.4.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/Unique-1.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/WebKit-1.0.gir
rm -v -f %{buildroot}%{_datadir}/gir-%{api}/Wnck-1.0.gir
rm -v %{buildroot}%{_libdir}/girepository-%{api}/Atk-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/GConf-2.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/GMenu-2.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/Gst*0.10.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/GSSDP-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/GUPnP-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/Soup-2.4.typelib
rm -v %{buildroot}%{_libdir}/girepository-%{api}/Pango-1.0.typelib
rm -v %{buildroot}%{_libdir}/girepository-%{api}/PangoCairo-1.0.typelib
rm -v %{buildroot}%{_libdir}/girepository-%{api}/PangoFT2-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/Unique-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/WebKit-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/girepository-%{api}/Wnck-1.0.typelib
rm -v -f %{buildroot}%{_libdir}/libgirepo-DBus-custom.so

%files
%doc README NEWS AUTHORS
%{_datadir}/gir-%{api}/GnomeKeyring-2.0.gir
%{_datadir}/gir-%{api}/GooCanvas-0.10.gir
%{_datadir}/gir-%{api}/GtkSource-2.2.gir
%{_datadir}/gir-%{api}/Nautilus-1.0.gir
%{_datadir}/gir-%{api}/Notify-0.4.gir
%{_datadir}/gir-%{api}/Poppler-0.8.gir
%{_libdir}/girepository-%{api}/GnomeKeyring-2.0.typelib
%{_libdir}/girepository-%{api}/GooCanvas-0.10.typelib
%{_libdir}/girepository-%{api}/GtkSource-2.2.typelib
%{_libdir}/girepository-%{api}/Nautilus-1.0.typelib
%{_libdir}/girepository-%{api}/Notify-0.4.typelib
%{_libdir}/girepository-%{api}/Poppler-0.8.typelib


%changelog

* Wed Apr 22 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.6.6-0.20100907.9
- (2ada59e) Rebuild with new poppler


